%define upstream_name File-Find-Iterator
%define upstream_version 0.4

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 7
License: 	GPL or Artistic
Group: 		Development/Perl
Summary:	Iterator interface for search files
Source: 	https://cpan.metacpan.org/authors/id/T/TE/TEXMEC/%{upstream_name}-%{upstream_version}.tar.gz
Url: 		https://metacpan.org/release/%{upstream_name}
BuildRequires: perl-devel
BuildRequires: perl(Class::Iterator)

BuildArch: noarch

%description
Find::File::Iterator is an iterator object for searching through
directory trees. You can easily run filter on each file name. You 
can easily save the search state when you want to stop the search
and continue the same search later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.400.0-7.mga10
+ Revision: 2198720
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.400.0-6.mga9
+ Revision: 1803624
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-5.mga8
+ Revision: 1494480
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.400.0-4.mga7
+ Revision: 1267952
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-3.mga6
+ Revision: 1027298
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.400.0-2.mga6
+ Revision: 968866
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.400.0-1.mga6
+ Revision: 855753
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.4-6.mga5
+ Revision: 741270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 684721
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 511543
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 367195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.4-2.mga1
+ Revision: 30327
- mageia rebuild
- imported package perl-File-Find-Iterator


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.4-2mdv2010.0
+ Revision: 430454
- rebuild

* Tue Jul 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4-1mdv2009.0
+ Revision: 235777
- update to new version 0.4

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.3-5mdv2008.1
+ Revision: 152075
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-3mdv2008.0
+ Revision: 86399
- rebuild


* Fri Aug 11 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/11/06 12:54:15 (55647)
- rebuild

* Fri Aug 11 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/11/06 12:49:52 (55646)
Import perl-File-Find-Iterator

* Thu Jun 16 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- first mdk release

